gnupg1 1.4.22-1ubuntu1 source package in Ubuntu

Changelog

gnupg1 (1.4.22-1ubuntu1) artful; urgency=medium

  * Resync on debian unstable. Remaining changes:
    - Add debian/patches/disable_mlock_test.patch:
      + Disable mlock() test since it fails with ulimit 0 (on buildds but on
        pbuilder its fine).
    - Add debian/patches/use_agent_default.patch:
      + Set gpg and gpgsm to use a passphrase agent by default.

gnupg1 (1.4.22-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * new upstream release
    - fixes CVE-2017-7526
  * refresh patches
  * convert to debhelper 10
  * bump Standards-Version to 4.0.0 (no changes needed)
  * drop gpgv1.4-udeb (Closes: #867685)
  * use pkg-info.mk for SOURCE_DATE_EPOCH
  * lintian binaries-have-file-conflict got smarter; drop unnecessary override
  * undocument unimplemented --faked-system-time (Closes: #760354)

  [ Frans Spiesschaert ]
  * Update dutch po file (Closes: #845695)

 -- Bhavani Shankar <email address hidden>  Tue, 08 Aug 2017 10:09:42 +0530

Upload details

Uploaded by:
Bhavani Shankar on 2017-08-08
Uploaded to:
Artful
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Artful release on 2017-08-08 universe misc

Downloads

File Size SHA-256 Checksum
gnupg1_1.4.22.orig.tar.bz2 3.6 MiB 9594a24bec63a21568424242e3f198b9d9828dea5ff0c335e47b06f835f930b4
gnupg1_1.4.22-1ubuntu1.debian.tar.xz 35.8 KiB 92ef47bbdceacefad2f625b2734bacb1b79b4e7d6225a1303eaee3f4ae340a0a
gnupg1_1.4.22-1ubuntu1.dsc 2.0 KiB 6c2ac6129b03a21621012248c1a72af56d925256b016df5c76f06745184053b0

Available diffs

View changes file

Binary packages built by this source

gnupg1: GNU privacy guard - a PGP implementation (deprecated "classic" version)

 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 The gnupg1 package provides GnuPG 1.4, the "classic" standalone,
 non-modularized version. It is provided mainly for people with the
 need to use archaic cryptographic objects like PGPv3 keys to access
 archived messages. It does not support more recent cryptographic
 primitives like ECDSA or EdDSA. Please use the gnupg package instead
 unless you know for sure that you need gnupg1.
 .
 The gnupg1 package is built without libcurl to minimize dependencies,
 so it does not support HKPS keyservers. Install the gnupg1-curl
 package if you want to use the keyserver helper tools built with
 libcurl and supporting HKPS.

gnupg1-curl: GNU privacy guard (cURL helpers for deprecated "classic" version)

 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This package contains the keyserver helper tools built with libcurl,
 which replace the ones in the gnupg1 package built with the "curl
 shim" variant of gnupg1. This package provides support for HKPS
 keyservers.
 .
 Since gnupg1 is deprecated in Debian, it is recommended that you use
 the gnupg package instead, and rely on the "dirmngr" package for
 network access. dirmngr can do everything that gnupg1-curl can do,
 and more.

gnupg1-curl-dbgsym: Debug symbols for gnupg1-curl
gnupg1-dbgsym: debug symbols for gnupg1
gnupg1-l10n: GNU privacy guard "classic" - localization files (deprecated)

 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 GnuPG 1.4 is the "classic" standalone, non-modularized
 version. Please use the gnupg package instead unless you know for
 sure that you need gnupg1.
 .
 This package contains the translation files for the use of GnuPG
 "classic" in non-English locales.

gpgv1: GNU privacy guard - signature verification tool (deprecated "classic" version)

 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures. It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.
 .
 gpgv1 is the "classic" version of gpgv. It does not support as many
 cryptographic primitives as the modern version, so there are
 signatures it cannot verify. Please use the "gpgv" package instead
 where possible.

gpgv1-dbgsym: debug symbols for gpgv1